Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.ui.validation
Class ECPValidationResultServiceImpl

    java.lang.Object
      org.eclipse.emf.ecp.internal.ui.validation.ECPValidationResultServiceImpl

All Implemented Interfaces:
  ECPValidationResultService

    public class ECPValidationResultServiceImpl

extends Object
implements ECPValidationResultService

Default implementation of the `ECPValidationResultService`.

Author:
  jfaltermeier

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecp.ui.validation.ECPValidationResultService
`ECPValidationResultService.ECPValidationResultServiceListener`

Constructor Summary
`ECPValidationResultServiceImpl()` Constructor.

Method Summary
`void` | `deregister(ECPValidationResultService.ECPValidationResultServiceListener listener)` Deregisters a listener.
`void` | `register(ECPValidationResultService.ECPValidationResultServiceListener listener)` Registers a listener that gets informed whenever the input changes.
`void` | `register(ECPValidationResultService.ECPValidationResultServiceListener listener, Set<org.eclipse.emf.ecore.EClassifier> classifiersOfInterest)` Registers a listener that gets informed whenever there is a validation result for an object of a type from the given set of `EClassifier`s.
`void` | `setResult(org.eclipse.emf.common.util.Diagnostic diagnostic)` Passes the given diagnostic to all registered `ECPValidationResultService.ECPValidationResultServiceListener`s.
`void` | `setResult(org.eclipse.emf.common.util.Diagnostic[] diagnostic)` Passes the given diagnostics to all registered `ECPValidationResultService.ECPValidationResultServiceListener`s.
`void` | `setResult(List<org.eclipse.emf.common.util.Diagnostic> diagnostic)` Passes the given diagnostics to all registered `ECPValidationResultService.ECPValidationResultServiceListener`s.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPValidationResultServiceImpl

    public ECPValidationResultServiceImpl()

  Constructor.

Method Detail

### setResult

    public void setResult(org.eclipse.emf.common.util.Diagnostic[] diagnostic)

  Passes the given diagnostics to all registered `ECPValidationResultService.ECPValidationResultServiceListener`s.

  Specified by:
    `setResult` in interface `ECPValidationResultService`
  Parameters:
    `diagnostic` - the diagnostics to display
  See Also:
    `ECPValidationResultService.setResult(org.eclipse.emf.common.util.Diagnostic[])`

### setResult

    public void setResult(org.eclipse.emf.common.util.Diagnostic diagnostic)

  Passes the given diagnostic to all registered `ECPValidationResultService.ECPValidationResultServiceListener`s.

  Specified by:
    `setResult` in interface `ECPValidationResultService`
  Parameters:
    `diagnostic` - the diagnostic to display
  See Also:
    `ECPValidationResultService.setResult(org.eclipse.emf.common.util.Diagnostic)`

### setResult

    public void setResult(List<org.eclipse.emf.common.util.Diagnostic> diagnostic)

  Passes the given diagnostics to all registered `ECPValidationResultService.ECPValidationResultServiceListener`s.

  Specified by:
    `setResult` in interface `ECPValidationResultService`
  Parameters:
    `diagnostic` - the diagnostics to display
  See Also:
    `ECPValidationResultService.setResult(java.util.List)`

### register

    public void register(ECPValidationResultService.ECPValidationResultServiceListener listener)

  Registers a listener that gets informed whenever the input changes.

  Specified by:
    `register` in interface `ECPValidationResultService`
  Parameters:
    `listener` - the listener to be registered
  See Also:
    `ECPValidationResultService.register(org.eclipse.emf.ecp.ui.validation.ECPValidationResultService.ECPValidationResultServiceListener)`

### register

    public void register(ECPValidationResultService.ECPValidationResultServiceListener listener,
                         Set<org.eclipse.emf.ecore.EClassifier> classifiersOfInterest)

  Registers a listener that gets informed whenever there is a validation result for an object of a type from the given set of `EClassifier`s.

  Specified by:
    `register` in interface `ECPValidationResultService`
  Parameters:
    `listener` - the listener to be registered
    `classifiersOfInterest` - the set of `EClassifier`s
  See Also:
    `ECPValidationResultService.register(org.eclipse.emf.ecp.ui.validation.ECPValidationResultService.ECPValidationResultServiceListener, java.util.Set)`

### deregister

    public void deregister(ECPValidationResultService.ECPValidationResultServiceListener listener)

  Deregisters a listener.

  Specified by:
    `deregister` in interface `ECPValidationResultService`
  Parameters:
    `listener` - the listener to be deregistered
  See Also:
    `ECPValidationResultService.deregister(org.eclipse.emf.ecp.ui.validation.ECPValidationResultService.ECPValidationResultServiceListener)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.